package de.nplusc.izc.tools.baseTools;

import de.nplusc.izc.tools.IOtools.FileTK;
import java.io.File;
import java.io.IOException;
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author LH
 */
public class Detectors
{
    //@SuppressWarnings("empty-statement")

    public static boolean detectIsWin8()
    {
        boolean ret = false;

        return FileTK.checkDirExist("C:\\Users\\Default\\appdata\\Local\\Microsoft\\windows\\WinX");
        /*
         String[] cnt = FileTK.getDirectoryContent("C:\\Users\\Default\\appdata\\Local\\Microsoft\\windows\\WinX");
         try
         {
         String s = cnt[0];
         }
         catch(Exception e){}*/
        //if(System.getProperty("os.name").equals("Windows 8"))
        //        {
        //            ret = true;
        //        }
        // return ret;

    }

    public static boolean detect64bitWinon7and8()
    {
        return FileTK.checkDirExist("Program files (x86)");
    }

    public static boolean detectWInXP()
    {
        return FileTK.checkDirExist("C:\\WINDOWS\\Help\\Tours");
    }

    public static boolean detectWin7()
    {
        return FileTK.checkDirExist("C:\\Users") && !detectIsWin8();//Users gibts bei 7 und 8 deshalb die 2. bedingung
    }

    public static boolean detectisAdmin()
    {
        ////HACKALERT.... auskommentierter weg ging nicht muss ne eigenheit von WIndows ausnutzen auf C:\adminrechte zu verlangen
        try{
           File f =  new File("C:\\temp.dat");
           f.createNewFile();
           f.delete();
            
        }
        catch(IOException e)
        {
            return false;
        }
        return true;
        
        /*
        String groups[] = (new com.sun.security.auth.module.NTSystem()).getGroupIDs();
        for (String group : groups)
        {
            Tools.DebugHelperPrint("grp..."+group, true, "Toolkit.enableFinerDebug");
            if (group.equals("S-1-5-32-544"))
            {
                Tools.DebugHelperPrint("ADM", true, "Toolkit.enableFinerDebug");
                return true;
            }
        }
        return false;*/
    }
}
